package graphics_and_anon_classes;
//CSE 331, Winter 2012, Krysta Yousoufian
//Demonstrates use of anonymous inner classes

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JLabel;

public class AnonClassGUI {
	// For anything less trivial than this demo, your fields should have
	// more descriptive names
	private JFrame frame;
	private JButton button;
	private JLabel label;
	
	// Constructs the GUI and displays it on the screen.
	// This is pretty long for a constructor. In a real application, you'd want
	// to group it into several self-contained sections (e.g. create frame,
	// create buttons attached to the same listener, etc.) and write a helper
	// method for each. The intention of this demo is to present various
	// features in a sequential way.
	public AnonClassGUI() {
		// create overall window (frame)
		frame = new JFrame("331 is great");
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// add a button
		button = new JButton("Click me!");
		button.setPreferredSize(new Dimension(200, 200));
		button.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				button.setBackground(Color.RED);
			}
		});
		
		frame.add(button, BorderLayout.NORTH);
		
		// Do this after the frame is all set up
		frame.pack();
		frame.setVisible(true);
	}
	
	// This class handles "action events", aka mouse clicks, in buttons.
	// For anything less trivial than this demo, your ActionListener should have
	// a more descriptive name.
//	private class MyListener implements ActionListener {
//		public void actionPerformed(ActionEvent e) {
//			button.setBackground(Color.RED);
//		}
//	}
}